# QGLPixelBuffer Class Reference

### [com.trolltech.qt.opengl package]

Inherits QPaintDevice.

### Constructor

- void QGLPixelBuffer(QSize size, QGLFormat format, QGLWidget shareWidget)
- void QGLPixelBuffer(int width, int height, QGLFormat format, QGLWidget shareWidget)

### Constructor Properties

- prototype: The QGLPixelBuffer prototype object
- bool hasOpenGLPbuffers()

### Prototype Object Properties

- bool doneCurrent()
- QGLFormat format()
- Qt::HANDLE handle()
- bool isValid()
- bool makeCurrent()
- void releaseFromDynamicTexture()
- QSize size()
- QImage toImage()

### Instance Properties

QGLPixelBuffer objects have no special properties beyond those inherited from the QGLPixelBuffer prototype object.